Subject: bug#27295: 11.90.2; font lock for \autocites

From: Alex Branham <[email-masked]>
Date: Sun, 11 Jun 2017 13:39:14 +0200

Thanks for the follow up.

I was hoping that something like this could be used: https://fuco1.github.io/2017-06-01-The-absolute-awesomeness-of-anchored-font-lock-matchers.html

Setting the limit might be tricky though. I guess it could be the first close brace with a space or \ after it --- "} " or "}\", perhaps?

Alex

On Fri 09 Jun 2017 at 20:25, Arash Esbati <[email-masked]> wrote:

> Alex Branham <[email-masked]> writes:
>
>> Auctex does not seem to properly font lock \autocites with multiple
>> citations.
>>
>> \autocites[][]{key1, key2} works fine but \autocites[][]{key1,
>> key2}[but see][]{key3} results in neither "but see" nor "key3" getting
>> the appropriate faces (which should be font-lock-variable-name-face
>> and font-lock-constant-face, I believe).
>
> Hi Alex,
>
> I would say this is by design: \[Aa]utocites take multiple number of
> [prenote][postnote]{key} and AUCTeX cannot look ahead to detect the
> number of arguments which should be fontified.  Not satisfactory, but
> not fixed easily, I think.
>
> Best, Arash